	$(document).ready(function(e) {

		//seta pasta onde esta o projeto

		pasta_corrente = 'cinegrafista';

		

		//renderiza os icons

		$( ".ui-icon" ).button({});

			

		// carrega os itens ao abrir o principal

		CarregarIten('0');		

		

		

		// Localizar Itens

		$( "#pnLocalizarIten").dialog({

			autoOpen: false,

			modal: true,

			resizable: false,

			height : 450, // altura

			width  : 750 // largura

		});

		

		// Retorna dados o localiado

		$('.btnLocalizadoCine').on('click',function(){

			var id = $(this).attr('id_iten');

			CarregarIten(id);

			$('#pnLocalizarIten').dialog('close');		

			

		return false;

		}) 

		

		

		//Localizar Itens

		$('#btnLocalizar').on('click',function(){

			$('#edtLocalizarItens').focus();

			$('#edtLocalizarItens').val('');

			$('#pnLocalizarIten').dialog('open');

		return false;

		})

		

		//Botão Localizar Itens

		$('#btnLocalizarItens').on('click', function(){

			LocalizarItens($('#edtLocalizarItens').val());	

		})

		

		// Cadastrar Novo Itens

		$( "#pnConfigurar").dialog({

			autoOpen: false,

			modal: true,

			resizable: false,

			height : 550, // altura

			width  : 750, // largura

			buttons: {'Salvar':   function(){

											 var resposta = IsEmail($('#edtEmail').val());
													  if(!resposta){
													   show('E-Mail Inválido');
													   $('#edtEmail').focus();												   
													   return false;
													  }
											
											
											var opcao = $("#btnOpcaoSalvar").val();
											var furmulario = $('#formConfigurar').serialize();	

											

											if(opcao == 'novo'){

											 if(!SalvarIten(opcao,'0',furmulario))

											  return false;

											

											}



											

											if(opcao == 'configurar'){

											var id_iten = $('#id').val();

											 if(!SalvarIten(opcao,id_iten,furmulario))

											 	return false;

											}

																						

											$( this ).dialog( "close" );

									},

					  'Deletar' : function(){

												if($("#btnOpcaoSalvar").val() == 'novo'){

													show('Função Desabilitada');

													return false;

												}

												

												var confirma;

												confirma = confirm('Gostaria de Excluir este usuário?');

												if(confirma){

													var id_iten = $('#id_iten').val();

													DeleteIten(id_iten);

													$( this ).dialog( "close" );

												}

												

											}, 

					  'Cancelar': function(){$( this ).dialog( "close" );}

					  }

		});

		

		//Cadastrar Novo Iten

		$('#btnNovoIten').on('click',function(){

			ItenNovo('Novo','');

			$('#pnConfigurar').dialog('open');

		return false;

		})

		

		

		//Configurar Iten

		$('#btnConfigurarIten').on('click',function(){

			var id_iten = $('#id_iten').val();

			ItenNovo('configurar',id_iten);

			$('#spTituloConfigurar').html('Configurar Itens. Alterar e Excluir');

			$('#pnConfigurar').dialog('open');

		return false;

		})

		

/////key press//////////

	

	// Entern em Localizar Itens

	 $("#edtLocalizarItens").keypress(function(event) {

		  if ( event.which == 13 ) {

			 event.preventDefault();

			 LocalizarItens($('#edtLocalizarItens').val());

	 		}

	});

		

	$("#edtLocalizarItens").on('click',function() {

		  $("#edtLocalizarItens").keypress();

	});

	/// fim localizar itens

/////fim key press/////////////////



		

});



//////////function///////////////



function CarregarIten(id_iten){

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/dados.php",

			 data:'id='+id_iten,  

			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},

			 success: function(R){ $("#pnDados").html(R).fadeIn('fast')} 

			}) //fim ajax

			return false;	

}



function VerificarDupliciade(valor, local, valor_atual, campo){

			//verifica se o valor atual é igual o valor digitado para não fazer verificação em calso de alteração.

			if(valor != valor_atual){

				$.ajax({

				 type: "POST",

				 url: pasta_corrente+"/ax_iten.php",

				 data: 'ax=VerificarDuplicidada&valor='+ valor + '&campo='+campo, 

				 beforeSend: function(){$("#"+local).html('<img src="img/salvando.gif"/>').fadeIn('slow');},

				 success: function(R){ $("#"+local).html(R).fadeIn('slow');} 

				}) //fim ajax

			}

}





function LocalizarItens(LocalizarItens){

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/localizar_itens.php",

			 data: 'ax=localizar&localizarItens='+LocalizarItens, 

			 beforeSend: function(){$("#pnDadosLocalizador").html(Load()).fadeIn('slow');},

			 success: function(R){ $("#pnDadosLocalizador").html(R).fadeIn('fast')} 

			}) //fim ajax

			return false;

}





function ItenNovo(ax, id_iten){

			$.ajax({

			 type: "POST",

			 url: pasta_corrente+"/configurar.php",

			 data: 'ax='+ax+'&id='+id_iten, 

			 beforeSend: function(){$("#pnConfigurar").html(Load()).fadeIn('slow');},

			 success: function(R){ $("#pnConfigurar").html(R).fadeIn('fast')} 

			}) //fim ajax

			return false;

}



function SalvarIten(ax, id_iten, formulario){

			 if ($('#edtNome').val() == ''){

				 show('Informe um Nome');

				 return false;

				 }



			if ($('#edtTipo').val() == '-1'){

				 show('Selecione um tipo de Parceiro');

				 return false;

				 }

		

			if ($('#edtTelefone').val() == ''){

				 show('Informe um telefone');

				 return false;

				 }

				 			 

				 

			 if($('.edtDuplicidade').val() == 'sDupli'){

				show('Campo com Duplidade Verifique');

				return false; 

			 }

			 

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/ax_iten.php",

			 data: 'ax='+ax+'&id='+id_iten+'&'+formulario, 

			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},

			 success: function(R){ CarregarIten(R);} 

			}) //fim ajax

			return true;



}



function DeleteIten(id_iten){

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/ax_iten.php",

			 data: 'ax=Delete&id='+id_iten, 

			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},

			 success: function(R){ CarregarIten('0');} 

			}) //fim ajax

	

}





////////////////////////////////